Issue 122959 - TR1's single linked list doesn't have an insert() method
Summary: TR1's single linked list doesn't have an insert() method
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: 4.0.0
Hardware: All All
: P3 Normal (vote)
Target Milestone: 4.1.0
Assignee: hdu@apache.org
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 122766
  Show dependency tree
 
Reported: 2013-08-05 11:24 UTC by hdu@apache.org
Modified: 2017-05-20 10:35 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description hdu@apache.org 2013-08-05 11:24:52 UTC
A single linked list doesn't have an insert() method. If there is some code that needs an insert() method like the one TR1's double linked list provides then this code has to be rewritten. Either by using different methods or by changing the container from a single to a double linked list.
Comment 1 SVN Robot 2013-08-05 13:10:32 UTC
"hdu" committed SVN revision 1510469 into trunk:
#i122959# single-linked lists that are often extended at the end are inefficient
Comment 2 SVN Robot 2013-08-05 14:05:39 UTC
"hdu" committed SVN revision 1510483 into trunk:
#i122959# prevent use of the insert method in the single linked list
Comment 3 hdu@apache.org 2013-08-06 07:03:00 UTC
All occurrences are fixed now.